#
# spec file for package python3-traceback2
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-traceback2
Version:        1.4.0
Release:        4.2
Summary:        Backports of the traceback module
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/bitprophet/traceback2
Source:         https://pypi.python.org/packages/source/t/traceback2/traceback2-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Backports of the traceback module

%prep
%setup -q -n traceback2-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --optimize=2 --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc README.rst AUTHORS ChangeLog

%changelog
* Sat Mar 14 2015 arun@gmx.de
- initial version
